Subject: RE: why not use root as root?
From: Reini Urban <[email-masked]>
To: [email-masked]
Date: Mon, 08 Jan 2001 04:52:01 +0200

>From: "Robert Collins" <robert dot collins at itdomain dot com dot au> 
>Date: Tue, 2 Jan 2001 13:12:11 +1100 
>
>It does work. But there _may_ be gotchas. There _are_ gotchas with other
>products.
>What benefits does encouraging this sort of install bring?

I ran cygwin-b20 successfully for some years as root
in e:/usr/bin/;e:/usr/local/bin/; ...

That way I needed only one PATH setting, which was converted automatically 
in the bash to /usr/bin:/usr/local/bin

But most importantly I could run she-bang programs from cmd.exe or 
any msvc spawn plus from any cygwin app unchanged.
This was a must for apache cgi's.
now I must use #! /usr/bin/perl and #! /e/cygwin/usr/bin/perl
where apache is built with msvc.

Cannot remember other benefits now exactly, but there were some others  
with msvc compiled gnu apps. xemacs and emacs certainly.
-- 
Reini Urban
http://xarch.tu-graz.ac.at/autocad/news/faq/autolisp.html

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple